%define Name Khttrack
Name: khttrack
Version: 0.11
Release: alt3
Summary: Download a WWW site to a local directory with a KDE GUI
Summary(uk_UA.CP1251):  WWW-     KDE GUI
Summary(ru_RU.CP1251):  WWW-     KDE GUI
License: GPL
URL: http://www.nongnu.org/%name
Group: Networking/File transfer
Source0: http://download.savannah.gnu.org/releases/%name/%name-%version.tar.bz2
Source1: %name.uk.po.bz2
Patch0: %name-0.11-version.patch.gz
Patch1: %name-0.11-lapsus.patch.gz
Patch2: %name-0.11-uk.patch.gz
Patch3: %name-0.11-libdir.patch.gz

# Automatically added by buildreq on Fri Sep 15 2006
BuildRequires: gcc-c++ kdenetwork-devel kdepim-devel libdnet-devel
BuildRequires: libgamin-devel libhttrack-devel libjpeg-devel
BuildRequires: libssl-devel libXext-devel libXt-devel qt3-designer
BuildRequires: xorg-cf-files

%description
%Name is a easy-to-use offline browser utility based on httrack used
as libary. The %Name project will give a KDE GUI to the httrack
library to be used by more people in an more simple and friendly way: a
simple wizard ask you all needed questions and it start automatically.
It allows you to download a World Wide Web site from the Internet to a
local directory, building recursively all directories, getting HTML,
images, and other files from the server to your computer. %Name
arranges the original site's relative link-structure. Simply open a
page of the "mirrored" website in your browser, and you can browse the
site from link to link, as if you were viewing it online. %Name can
also update an existing mirrored site, and resume interrupted
downloads. %Name is fully configurable, and has an integrated help
system. The KDE GUI will allow all option of httrack library.


%prep
%setup -q
%patch0 -p1 -b .orig0
for f in configure.*in; do
    [ -f "$f.orig0" ] && touch -r "$f.orig0" "$f"
done
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .orig3
for f in *.m4 configure*.in admin/*.in; do
    [ -f "$f.orig3" ] && touch -r "$f.orig3" "$f"
done
bzip2 -dc -- %SOURCE1 > po/uk.po


%build
rm -f config.cache
%configure --disable-rpath --disable-debug --with-pic
%make_build


%install
%make DESTDIR=%buildroot install
rm -rf %buildroot{%_datadir/{applnk,locale/LC_MESSAGES},%_menudir}
mv %buildroot%_iconsdir/locolor %buildroot%_iconsdir/hicolor

#menu
%ifdef _desktopdir
install -d -m 0755 %buildroot%_desktopdir
iconv -f cp1251 -t utf-8 > %buildroot%_desktopdir/%name.desktop <<__MENU__
[Desktop Entry]
Encoding=UTF-8
Name=%Name
Type=Application
Exec=%name -caption "%%c" %%i %%m  
Icon=%name
Comment=Download a WWW site to a local directory
Comment[uk]= WWW-   
Comment[ru]= WWW-   
Terminal=false
Categories=Qt;KDE;Network;
__MENU__
%else
install -d -m 755 %buildroot%_menudir
cat > %buildroot%_menudir/%name <<__MENU__
?package(%Name): command="%name" needs="X11" \
icon="%name.png" section="%group" \
title="%Name" \
genericname="%Name" \
longtitle="%Name: download a WWW site to a local directory"
__MENU__
%endif

%find_lang --with-kde %name


%post
%update_menus


%postun
%clean_menus


%files -f %name.lang
%doc AUTHORS README TODO
%_bindir/*
%_miconsdir/*
%_niconsdir/*
%dir %_datadir/apps/%name
%_datadir/apps/%name/*
%ifdef _desktopdir
%_desktopdir/*
%else
%_menudir/*
%endif


%changelog
* Fri Sep 15 2006 Led <led@altlinux.ru> 0.11-alt3
- added %name-0.11-libdir.patch
- cleaned up spec
- fixed BuildRequires

* Fri Apr 21 2006 Led <led@altlinux.ru> 0.11-alt2
- added %name-0.11-lapsus.patch
- added uk translation
- added %name-0.11-uk.patch

* Wed Apr 19 2006 Led <led@altlinux.ru> 0.11-alt1
- added %name-0.11-version.patch

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.10-alt2.1
- Rebuilt with libstdc++.so.6.

* Tue Jun 15 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.10-alt2
- cleanup spec file, update build requires

* Wed Jun 11 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.10-alt1
- First version of RPM package.
